Qt 5.7 | Qt 3D | C++ Classes | QStaticPropertyValueAddedChangeBase

Qt 5.7.1 Reference Documentation

# QStaticPropertyValueAddedChangeBase Class

(Qt3DCore::QStaticPropertyValueAddedChangeBase)

The QStaticPropertyValueAddedChangeBase class is the base class for all static PropertyValueAdded QSceneChange events More...

Header: | #include <QStaticPropertyValueAddedChangeBase>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | QPropertyValueAddedChangeBase
Inherited By: | Qt3DCore::QPropertyNodeAddedChange and Qt3DCore::QPropertyValueAddedChange

- List of all members, including inherited members

## Public Functions

| ~QStaticPropertyValueAddedChangeBase()
const char * | propertyName() const
void | setPropertyName(const char *name)

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QStaticPropertyValueAddedChangeBase(QNodeId subjectId)
| QStaticPropertyValueAddedChangeBase(QStaticPropertyValueAddedChangeBasePrivate &dd, QNodeId subjectId)

## Detailed Description

The QStaticPropertyValueAddedChangeBase class is the base class for all static PropertyValueAdded QSceneChange events

## Member Function Documentation

### `[protected]` QStaticPropertyValueAddedChangeBase::QStaticPropertyValueAddedChangeBase(QNodeId subjectId)

Constructs a new QStaticPropertyValueAddedChangeBase with subjectId

### `[protected]` QStaticPropertyValueAddedChangeBase::QStaticPropertyValueAddedChangeBase(QStaticPropertyValueAddedChangeBasePrivate &dd, QNodeId subjectId)

Copy constructor.

### QStaticPropertyValueAddedChangeBase::~QStaticPropertyValueAddedChangeBase()

Destroys the instance of QStaticPropertyValueAddedChangeBase.

### const char *QStaticPropertyValueAddedChangeBase::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QStaticPropertyValueAddedChangeBase::setPropertyName(const char *name)

Sets the property change name.

See also propertyName().